#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = u'kleph'
SITENAME = u"kleph's blog"
SITEURL = ''

TIMEZONE = 'Europe/Paris'
LOCALE = "en_US.UTF-8"
#DATE_FORMATS = ("%Y-%m-%d")

#THEME='nmnlist'
#THEME='theme/darkstrap'
THEME='theme/bootstrapdark'

DEFAULT_LANG = u'fr'

# Feed generation is usually not desired when developing
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
FEED_ALL_ATOM = 'Blog'
SITEURL = 'http://blog.wired.lan'

# Blogroll
LINKS =  (('Pelican', 'http://getpelican.com/'),
          ('Python.org', 'http://python.org/'))

# Social widget
SOCIAL = (('You can add links in your config file', '#'),
          ('Another social link', '#'),)

DEFAULT_PAGINATION = 10

#MARKUP = [ 'asc', 'asciidoc' ]
MARKUP = ['mdown']

#MD_EXTENSIONS = ['admonition', 'codehilite(css_class=highlight)', 'extra', 'toc']

MARKDOWN = {'extension_configs': { 'markdown.extensions.codehilite': {'css_class': 'highlight'},
                                     'markdown.extensions.extra': {},
                                     'markdown.extensions.meta': {},
                                     'markdown.extensions.toc': {}},
              'output_format': 'html5'}

#TYPOGRIFY = True

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True
